Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class ComponentSystemEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PostAddToViewEvent, PostConstructViewMapEvent, PostRestoreStateEvent, PostValidateEvent, PreDestroyViewMapEvent, PreRemoveFromViewEvent, PreRenderComponentEvent, PreRenderViewEvent, PreValidateEvent

    public abstract class ComponentSystemEvent

extends SystemEvent

ComponentSystemEvent is the base class for `SystemEvent`s that are specific to a `UIComponent` instance.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ComponentSystemEvent(UIComponent component)` Pass the argument `component` to the superclass constructor.

Method Summary
`UIComponent` | `getComponent()` the source `UIComponent` that sent this event.

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentSystemEvent

    public ComponentSystemEvent(UIComponent component)

  Pass the argument `component` to the superclass constructor.

  Parameters:
    `component` - the `UIComponent` reference to be passed to the superclass constructor.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.
  Since:
    2.0

Method Detail

### getComponent

    public UIComponent getComponent()

  the source `UIComponent` that sent this event.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.